<template>
    <div class="s">
        <v-item>
            <v-sheet
                color=""
                class="text-h2 mx-3 px-4 pt-4 pb-3 v-sheet theme--light rounded-0"
                tile
            >
                <h2 class="text-h2 mb-1 text-left">我的项目</h2>
                <v-btn class="mx-2 float-right" fab dark color="indigo">
                    <v-icon dark>mdi-plus</v-icon>
                </v-btn>

                <v-btn
                  color="pink"
                  fab
                  dark
                  absolute
                  top
                  left
                >
                  <v-icon>mdi-plus</v-icon>
                </v-btn>

            </v-sheet>
        </v-item>
        <v-divider></v-divider>
        <v-container fluid>
            <v-row dense>
                <v-col v-for="project in projects" :key="project.projectName" :cols="6">
                    <v-card class="mx-auto mr-2 mb-3 ml-3" elevation="3">
                        <v-card-text>
                            <div>项目名称</div>
                            <p class="display-1 text--primary">
                                {{ project.projectName }}
                            </p>
                            <p>
                                创建时间：{{ project.createTime }}&nbsp;建立人：{{ project.owner }}
                            </p>
                            <v-divider class="mx-4"></v-divider>
                            <div class="text--primary" style="min-height: 200px">
                                项目简介：{{ project.projectDesc }}
                            </div>
                        </v-card-text>
                        <v-card-actions>
                            <v-spacer></v-spacer>

                            <v-btn icon>
                                <v-badge color="green" v-bind:content="project.member.length">
                                    <v-icon>mdi-heart</v-icon>
                                </v-badge>
                            </v-btn>

                            <v-btn icon>
                                <v-icon>mdi-bookmark</v-icon>
                            </v-btn>

                            <v-btn icon>
                                <v-icon>mdi-share-variant</v-icon>
                            </v-btn>
                        </v-card-actions>
                    </v-card>
                </v-col>
            </v-row>
        </v-container>

        <v-card color="teal lighten-1" class="mx-auto textcont" dark>
            <v-card-title class="headline mx-auto">查询项目</v-card-title>
            <div class="rightwrap">
                <v-btn color="red lighten-1" class="mr-2 mb-2" @click="show_project">查询</v-btn>
            </div>
            <v-list color="teal lighten-3">
                <template v-for="project in projects">
                    <v-list-item :key="project.projectName">
                        <v-list-item-title>{{ project.projectName }}</v-list-item-title>
                    </v-list-item>
                </template>
            </v-list>
        </v-card>
    </div>
</template>

<script>
export default {
    name: "showProject",
    data: () => ({
        falsee: false,
        errorMessage: "",
        successMessage: "",
        user: "",
        projects: [],
    }),
    components: {},
    methods: {
        show_project() {
            this.$axios({
                method: "post",
                url: `/showprojects`,
                data: {
                    userName: this.user,
                },
            }).then(res => {
                if (res.status === 200) {
                    const data = res.data;
                    if (data.status === "SUCCESS") {
                        this.messagee("查询成功！");
                        this.projects = data.projects;
                    } else {
                        this.login_alert("出错了！");
                    }
                } else {
                    this.login_alert("连接失败。\n请检查您的网络状态。");
                }
            });
        },
        login_alert(message) {
            this.errorMessage = "" + message;
        },
        messagee(message) {
            this.successMessage = "" + message;
        },
    },
    mounted() {
        this.user = this.$store.getters.userName;
    },
    computed: {},
};
</script>

<style scoped>
.s {
    margin-left: 60px;
}
.rightwrap {
    display: flex;
    justify-content: flex-end;
}
</style>
